#
# spec file for package python-pika-pool
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pika-pool
Version:        0.1.3
Release:        2.5
Summary:        Pools for pikas
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/bninja/pika-pool
Source:         https://pypi.python.org/packages/source/p/pika-pool/pika-pool-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-pika >= 0.9
BuildRequires:  python-setuptools
Requires:       python-pika >= 0.9
BuildArch:      noarch

%description
Pika connection pooling inspired by:

- `flask-pika <https://github.com/WeatherDecisionTechnologies/flask-pika>`_
- `sqlalchemy.pool.Pool <http://docs.sqlalchemy.org/en/latest/core/pooling.html#sqlalchemy.pool.Pool>`_

Typically you'll go with local `shovels <https://www.rabbitmq.com/shovel.html>`_, `krazee-eyez kombu <http://bit.ly/1txcnnO>`_, etc. but this works too.

%prep
%setup -q -n pika-pool-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/pika*

%changelog
* Wed Apr 13 2016 dmueller@suse.com
- fix license
* Sun Feb 28 2016 dmueller@suse.com
- Initial package (0.1.3)
